Subject: [IPP] IPP Scan specification for Face to Face review

From: "Zehler, Peter" <[email-masked]>
Date: Tue, 5 Aug 2014 14:49:33 +0000

All,

The updated version of the IPP Scan specification is available at
http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippscan10-20140805.pdf
This is the version we will use for review at the upcoming Face to Face.  I have highlighted the portions that contain significant changes.  As usual the "-rev" and ".docx" versions are available in the same directory.

The Last Call comments are available at
http://ftp.pwg.org/pub/pwg/ipp/wd/IPP-Scan-Comments-20140805.pdf
The two highlighted rows have yet to be resolved.  One of them is that I need to generate a higher resolution figure.  The other is an item regarding the lack of a real time clock on USB only or USB/Wi-Fi Direct only scanners.  This is an item that applies across all IPP services and not just print.

Peter Zehler

[parc]
Email: [email-masked]<mailto:[email-masked]>
Office: +1 (585) 265-8755
Mobile: +1 (585) 329-9508
FAX: +1 (585) 265-7441
US Mail: Peter Zehler
PARC, A Xerox Company
800 Phillips Rd.
M/S 128-27E
Webster NY, 14580-9701

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Soma Meiyappan <[email-masked]>
Date: Wed, 6 Aug 2014 00:20:31 +0000

Hi Pete,

Thank you very much for the changes.

On the OAuth related changes (TC8), the suggested changes was actually targeted to be added to the "Printer attributes" section and hence, the suggested "destination-" prefix is appropriate. Only having it as part of the "destination-uri-ready" collection will address the stated concerns.

The "operation attribute" changes (access-oauth-uri, access-oauth-scope) that you made are definitely welcome too so that the scan client can explicitly specify where the tokens came from.

Thanks and Regards,

Somasundaram.

________________________________
From: [email-masked] <[email-masked]> on behalf of Zehler, Peter <[email-masked]>
Sent: 05 August 2014 22:49
To: [email-masked]
Subject: [IPP] IPP Scan specification for Face to Face review

All,

Peter Zehler

[parc]

---

From: "Zehler, Peter" <[email-masked]>
Date: Wed, 6 Aug 2014 11:18:20 +0000

Somasundaram,

Sorry about that. (Beware of late day edits.)  I added the following to 8.3.3 destination-uri-ready  (1setOf collection)

8.3.3.1 destination-oauth-uri (uri)

The OPTIONAL "destination-oauth-uri" member attribute is the authorization server that can issue the OAuth access token for the destination. (See Authorization Server [RFC6749] section 1.1)

8.3.3.2 destination-oauth-scope (1setOf octetString(MAX))

The OPTIONAL "destination-oauth-scope" member attribute specifies an unordered list of space separated case sensitive granted scopes for the OAuth token. (See Access Token Scope [RFC6749] section 3.3)

Peter Zehler

[parc]

From: Soma Meiyappan [mailto:[email-masked]]
Sent: Tuesday, August 05, 2014 8:21 PM
To: Zehler, Peter; [email-masked]
Subject: RE: IPP Scan specification for Face to Face review

Hi Pete,

Thanks and Regards,

Somasundaram.

________________________________
From: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>> on behalf of Zehler, Peter <[email-masked]<mailto:[email-masked]>>
Sent: 05 August 2014 22:49
To: [email-masked]<mailto:[email-masked]>
Subject: [IPP] IPP Scan specification for Face to Face review

All,

Peter Zehler

[parc]

---

From: Soma Meiyappan <[email-masked]>
Date: Wed, 6 Aug 2014 12:00:17 +0000

Hi Pete,

No worries! Thank you very much for the changes again.

You may want to discuss this during the face-to-face review: destination-oauth-uri can either be a 'space separated list of scopes' of type octetString(MAX) or can be a 1setOfoctetString(MAX) in which each octetString is a scope; but it does not have to be both although it can also be just as you have specified to provide a very long scope string. The specification text is not clear if it is indeed intended that a long space delimited scope string can be separated into multiple octetStrings based on length and not as one scope per entry in the set.

Thanks and Regards,
Somasundaram.

________________________________
From: Zehler, Peter <[email-masked]>
Sent: 06 August 2014 19:18:20
To: Soma Meiyappan; [email-masked]
Subject: RE: IPP Scan specification for Face to Face review

Somasundaram,

Peter Zehler

[parc]

Hi Pete,

Thanks and Regards,

Somasundaram.

All,

Peter Zehler

[parc]